> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/pdia-data-integration/9.3-data-integration/pdi-transformation-steps-reference-overview/jms-consumer/options-jms-consumer/fields-tab-jms-consumer.md).

# Fields tab

![Fields tab in JMS consumer](/files/kK2O5lqRbE0hFG1IyWi9)

Use this tab to define the fields in the record format.

| Option          | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| --------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Input name**  | <p>The input name is received from the JMS streams. The following are received by default:- <strong>message</strong></p><p>The individual message contained in a record. Each record consists of a key, a value, and a timestamp.</p><ul><li><strong>destination</strong></li></ul><p>The name of the queue or topic from which the client consumes messages.</p><ul><li><strong>messageId</strong></li></ul><p>The value that uniquely identifies each message in a record.</p><ul><li><strong>jmsTimestamp</strong></li></ul><p>Specifies the time a message was generated.</p><ul><li><strong>jmsRedelivered</strong></li></ul><p>Specifies this message was marked for redelivery. This flag is useful if you need to de-duplicate messages.</p> |
| **Output name** | The **Output name** can be mapped to subscriber and member requirements.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| **Type**        | The **Type** field defines the data format for streaming the record which is the same data type that produced the records. Option is String.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pentaho.com/pdia-data-integration/9.3-data-integration/pdi-transformation-steps-reference-overview/jms-consumer/options-jms-consumer/fields-tab-jms-consumer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
